dpkg-checkbuilddeps(1)

NAME
dpkg-checkbuilddeps - check build dependencies and conflicts

SYNOPSIS
dpkg-checkbuilddeps [option...] [control-file]

DESCRIPTION
This program checks the installed packages in the system against the build dependencies and build conflicts listed in the control file. If any are not met, it displays them and exits with a nonzero return code.

By default, debian/control is read, but an alternate control filename may be specified on the command line.

OPTIONS

--admindir=dir
    Change the location of the dpkg database. The default location is /var/lib/dpkg.

-B  Ignore Build-Depends-Indep lines. Use when no arch-indep packages will be built.

-d build-depends-string

-c build-conflicts-string
    Use the given build dependencies/conflicts instead of those contained in the debian/control file.

-a arch
    Check build dependencies/conflicts assuming that the package described in the control file is to be built for the given host architecture instead of the architecture of the current system.

-h, --help
    Show the usage message and exit.

--version
    Show the version and exit.

AUTHOR
Copyright © 2001 Joey Hess

This is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is NO WARRANTY.